# frozen_string_literal: true

require_relative 'lib/activerecord/except/version'

Gem::Specification.new do |spec|
  spec.name          = 'activerecord-except'
  spec.version       = Activerecord::Except::VERSION
  spec.authors       = ['Mauro Morales']
  spec.email         = ['contact@mauromorales.com']

  spec.summary       = 'Select all fields from a table with the exception of the given ones'
  spec.description   = <<~TEXT
    Provides `ActiveRecord::Relation#except`, a convenience method that let's
    you select all the fields from a table with the exception of the given
    ones.
  TEXT
  spec.homepage      = 'https://git.sr.ht/~mrls/activerecord-except'
  spec.license       = 'MIT'
  spec.required_ruby_version = Gem::Requirement.new('>= 2.3.0')

  spec.metadata['homepage_uri'] = spec.homepage
  spec.metadata['source_code_uri'] = 'https://git.sr.ht/~mrls/activerecord-except'

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'activerecord', '>= 4'

  spec.add_development_dependency 'minitest'
  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'sqlite3'
end
